package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*推广者
* @author quyixiao
* @since 2025-12-26
*/

@Data
@TableName("vv_promoter")
public class VvPromoterEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvPromoterEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                               // 
    public final static String is_delete = CLASS_NAME + "is_delete";                  // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";              // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";              // 修改时间
    public final static String create_timestamp = CLASS_NAME + "create_timestamp";    // 时间毫秒值
    public final static String activity_id = CLASS_NAME + "activity_id";              // 活动id
    public final static String activity_name = CLASS_NAME + "activity_name";          // 活动名称
    public final static String type_ = CLASS_NAME + "type";                           // link,qrcode等
    public final static String buyer_info = CLASS_NAME + "buyer_info";                // 活动信息
    public final static String promoter_url = CLASS_NAME + "promoter_url";            // 相关的url
    public final static String promoter_code = CLASS_NAME + "promoter_code";          // 推广码
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //时间毫秒值
    private Long createTimestamp;
    //活动id
    private Long activityId;
    //活动名称
    private String activityName;
    //link,qrcode等
    private String type;
    //活动信息
    private String buyerInfo;
    //相关的url
    private String promoterUrl;
    //推广码
    private String promoterCode;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 时间毫秒值 
     * @return
     */
    public Long getCreateTimestamp() {
        return createTimestamp;
    }
    /**
     * 时间毫秒值 
     * @param createTimestamp
     */
    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    /**
     * 活动id 
     * @return
     */
    public Long getActivityId() {
        return activityId;
    }
    /**
     * 活动id 
     * @param activityId
     */
    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    /**
     * 活动名称 
     * @return
     */
    public String getActivityName() {
        return activityName;
    }
    /**
     * 活动名称 
     * @param activityName
     */
    public void setActivityName(String activityName) {
        this.activityName = activityName;
    }

    /**
     * link,qrcode等 
     * @return
     */
    public String getType() {
        return type;
    }
    /**
     * link,qrcode等 
     * @param type
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 活动信息 
     * @return
     */
    public String getBuyerInfo() {
        return buyerInfo;
    }
    /**
     * 活动信息 
     * @param buyerInfo
     */
    public void setBuyerInfo(String buyerInfo) {
        this.buyerInfo = buyerInfo;
    }

    /**
     * 相关的url 
     * @return
     */
    public String getPromoterUrl() {
        return promoterUrl;
    }
    /**
     * 相关的url 
     * @param promoterUrl
     */
    public void setPromoterUrl(String promoterUrl) {
        this.promoterUrl = promoterUrl;
    }

    /**
     * 推广码 
     * @return
     */
    public String getPromoterCode() {
        return promoterCode;
    }
    /**
     * 推广码 
     * @param promoterCode
     */
    public void setPromoterCode(String promoterCode) {
        this.promoterCode = promoterCode;
    }

    @Override
    public String toString() {
        return "VvPromoterEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",createTimestamp=" + createTimestamp +
                ",activityId=" + activityId +
                ",activityName=" + activityName +
                ",type=" + type +
                ",buyerInfo=" + buyerInfo +
                ",promoterUrl=" + promoterUrl +
                ",promoterCode=" + promoterCode +
                "}";
    }
}